Subject: [RFC PATCH 1/8] ARM: Add commonly used cpuidle init code

From: [email-masked] (Mark Brown)
Date: Fri, 9 Dec 2011 16:25:14 +0800

On Thu, Dec 08, 2011 at 11:34:34AM -0600, Rob Lee wrote:

> I agree and had considered this as well.  Can you (or anyone else)
> suggest the best/most community friendly method of doing this?  If
> this code is moved to drivers/idle or drivers/cpuidle, then perhaps
> just making empty fiq enable/disable functions would be ok.

Sounds like a reasonable plan, or providing an arch hook mechanism as
well as a SoC hook mechanism and allowing them to use that.